---
lang: en
title: 'API docs: boot.modelapibooter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.modelapibooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ModelApiBooter](./boot.modelapibooter.md)

## ModelApiBooter class

<b>Signature:</b>

```typescript
export declare class ModelApiBooter extends BaseArtifactBooter 
```
<b>Extends:</b> [BaseArtifactBooter](./boot.baseartifactbooter.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, getModelApiBuilders, booterConfig)](./boot.modelapibooter._constructor_.md) |  | Constructs a new instance of the <code>ModelApiBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./boot.modelapibooter.app.md) |  | [ApplicationWithRepositories](./repository.applicationwithrepositories.md) |  |
|  [booterConfig](./boot.modelapibooter.booterconfig.md) |  | [ArtifactOptions](./boot.artifactoptions.md) |  |
|  [getModelApiBuilders](./boot.modelapibooter.getmodelapibuilders.md) |  | [Getter](./context.getter.md)<!-- -->&lt;[ModelApiBuilder](./model-api-builder.modelapibuilder.md)<!-- -->\[\]&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getApiBuilderForPattern(pattern)](./boot.modelapibooter.getapibuilderforpattern.md) |  | Retrieve the API builder that matches the pattern provided |
|  [load()](./boot.modelapibooter.load.md) |  | Load the the model config files |
|  [setupModel(configFile)](./boot.modelapibooter.setupmodel.md) |  | Set up the loaded model classes |


